| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# editor

$Revision: 1.3 $

$Date: 2002/06/12 11:18:09 $

editor — The name of the editor of a document

## Synopsis

### Content Model

    editor ::=
    ((personname|
      (honorific|firstname|surname|lineage|othername|affiliation|
       authorblurb|contrib)+),
     (personblurb|email|address)*)

### Attributes

Common attributes

## Description

The name of the editor of a document.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Sometimes suppressed.

### Future Changes

`AuthorBlurb` and `Affiliation` will be removed from the inline content of `Editor` in DocBook V4.0. A new wrapper element will be created to hold `Editor`, `AuthorBlurb`, and `Affiliation`.

### Parents

These elements contain editor: `appendixinfo`, `articleinfo`, `authorgroup`, `biblioentry`, `bibliographyinfo`, `bibliomixed`, `bibliomset`, `biblioset`, `blockinfo`, `bookinfo`, `chapterinfo`, `glossaryinfo`, `indexinfo`, `objectinfo`, `partinfo`, `prefaceinfo`, `refentryinfo`, `referenceinfo`, `refsect1info`, `refsect2info`, `refsect3info`, `refsectioninfo`, `refsynopsisdivinfo`, `sect1info`, `sect2info`, `sect3info`, `sect4info`, `sect5info`, `sectioninfo`, `setindexinfo`, `setinfo`, `sidebarinfo`.

### Children

The following elements occur in editor: `address`, `affiliation`, `authorblurb`, `contrib`, `email`, `firstname`, `honorific`, `lineage`, `othername`, `personblurb`, `personname`, `surname`.

## See Also

`author`, `authorblurb`, `authorgroup`, `collab`, `collabname`, `contrib`, `corpauthor`, `othercredit`, `personblurb`, `personname`.

## Examples

For examples, see `authorgroup`, `bibliography`, `biblioset`.

edition |  | email

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.